/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef FORCE_PRINT_H
#define FORCE_PRINT_H


/* Structures definies par d'autres modules */


#include "server/forcePosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_FORCE_FORCE_POSTER_STR ( buf_t buf, struct FORCE_FORCE_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_FORCE_MONITOR_POSTER_STR ( buf_t buf, struct FORCE_MONITOR_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_FORCE_DETECTION_POSTER_STR ( buf_t buf, struct FORCE_DETECTION_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_FORCE_STR ( buf_t buf, struct FORCE_STR *x, int nDim, int *dims);
void buf_add_struct_FORCE_MONITOR_STR ( buf_t buf, struct FORCE_MONITOR_STR *x, int nDim, int *dims);
void buf_add_struct_FORCE_MONITOR_DATA_STR ( buf_t buf, struct FORCE_MONITOR_DATA_STR *x, int nDim, int *dims);
void buf_add_struct_FORCE_DETECT_STR ( buf_t buf, struct FORCE_DETECT_STR *x, int nDim, int *dims);
void buf_add_struct_FORCE_STATE_STR ( buf_t buf, struct FORCE_STATE_STR *x, int nDim, int *dims);
void buf_add_struct_Gb_jac7 ( buf_t buf, struct Gb_jac7 *x, int nDim, int *dims);
void buf_add_struct_Gb_jac ( buf_t buf, struct Gb_jac *x, int nDim, int *dims);
void buf_add_enum_Gb_statusMGI ( buf_t buf, enum Gb_statusMGI *x, int nDim, int *dims);
void buf_add_struct_Gb_dataMGD ( buf_t buf, struct Gb_dataMGD *x, int nDim, int *dims);
void buf_add_struct_Gb_q7 ( buf_t buf, struct Gb_q7 *x, int nDim, int *dims);
void buf_add_struct_Gb_q6 ( buf_t buf, struct Gb_q6 *x, int nDim, int *dims);
void buf_add_struct_Gb_6rParameters ( buf_t buf, struct Gb_6rParameters *x, int nDim, int *dims);
void buf_add_struct_Gb_quat ( buf_t buf, struct Gb_quat *x, int nDim, int *dims);
void buf_add_struct_Gb_m33 ( buf_t buf, struct Gb_m33 *x, int nDim, int *dims);
void buf_add_struct_Gb_dep ( buf_t buf, struct Gb_dep *x, int nDim, int *dims);
void buf_add_struct_Gb_th ( buf_t buf, struct Gb_th *x, int nDim, int *dims);
void buf_add_struct_Gb_v6 ( buf_t buf, struct Gb_v6 *x, int nDim, int *dims);
void buf_add_struct_Gb_v3 ( buf_t buf, struct Gb_v3 *x, int nDim, int *dims);
void buf_add_struct_Gb_force ( buf_t buf, struct Gb_force *x, int nDim, int *dims);
void buf_add_struct_Gb_vitesse ( buf_t buf, struct Gb_vitesse *x, int nDim, int *dims);
void buf_add_struct_Gb_objectMotion ( buf_t buf, struct Gb_objectMotion *x, int nDim, int *dims);
void buf_add_struct_Gb_objectPose ( buf_t buf, struct Gb_objectPose *x, int nDim, int *dims);
void buf_add_struct_Gb_euler ( buf_t buf, struct Gb_euler *x, int nDim, int *dims);
void buf_add_struct_Gb_point3D ( buf_t buf, struct Gb_point3D *x, int nDim, int *dims);
void buf_add_struct_Gb_point2D ( buf_t buf, struct Gb_point2D *x, int nDim, int *dims);
void buf_add_struct_Gb_motionMat ( buf_t buf, struct Gb_motionMat *x, int nDim, int *dims);
void buf_add_struct_Gb_thMat ( buf_t buf, struct Gb_thMat *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_Gb_thMat ( buf_t buf, Gb_thMat *x, int nDim, int *dims);
void buf_add_Gb_motionMat ( buf_t buf, Gb_motionMat *x, int nDim, int *dims);
void buf_add_Gb_point2D ( buf_t buf, Gb_point2D *x, int nDim, int *dims);
void buf_add_Gb_point3D ( buf_t buf, Gb_point3D *x, int nDim, int *dims);
void buf_add_Gb_euler ( buf_t buf, Gb_euler *x, int nDim, int *dims);
void buf_add_Gb_objectPose ( buf_t buf, Gb_objectPose *x, int nDim, int *dims);
void buf_add_Gb_objectMotion ( buf_t buf, Gb_objectMotion *x, int nDim, int *dims);
void buf_add_Gb_vitesse ( buf_t buf, Gb_vitesse *x, int nDim, int *dims);
void buf_add_Gb_force ( buf_t buf, Gb_force *x, int nDim, int *dims);
void buf_add_Gb_v3 ( buf_t buf, Gb_v3 *x, int nDim, int *dims);
void buf_add_Gb_v6 ( buf_t buf, Gb_v6 *x, int nDim, int *dims);
void buf_add_Gb_th ( buf_t buf, Gb_th *x, int nDim, int *dims);
void buf_add_Gb_dep ( buf_t buf, Gb_dep *x, int nDim, int *dims);
void buf_add_Gb_m33 ( buf_t buf, Gb_m33 *x, int nDim, int *dims);
void buf_add_Gb_quat ( buf_t buf, Gb_quat *x, int nDim, int *dims);
void buf_add_Gb_6rParameters ( buf_t buf, Gb_6rParameters *x, int nDim, int *dims);
void buf_add_Gb_q6 ( buf_t buf, Gb_q6 *x, int nDim, int *dims);
void buf_add_Gb_q7 ( buf_t buf, Gb_q7 *x, int nDim, int *dims);
void buf_add_Gb_dataMGD ( buf_t buf, Gb_dataMGD *x, int nDim, int *dims);
void buf_add_Gb_statusMGI ( buf_t buf, Gb_statusMGI *x, int nDim, int *dims);
void buf_add_Gb_jac ( buf_t buf, Gb_jac *x, int nDim, int *dims);
void buf_add_Gb_jac7 ( buf_t buf, Gb_jac7 *x, int nDim, int *dims);
void buf_add_FORCE_STATE_STR ( buf_t buf, FORCE_STATE_STR *x, int nDim, int *dims);
void buf_add_FORCE_DETECT_STR ( buf_t buf, FORCE_DETECT_STR *x, int nDim, int *dims);
void buf_add_FORCE_MONITOR_DATA_STR ( buf_t buf, FORCE_MONITOR_DATA_STR *x, int nDim, int *dims);
void buf_add_FORCE_MONITOR_STR ( buf_t buf, FORCE_MONITOR_STR *x, int nDim, int *dims);
void buf_add_FORCE_STR ( buf_t buf, FORCE_STR *x, int nDim, int *dims);
void buf_add_FORCE_DETECTION_POSTER_STR ( buf_t buf, FORCE_DETECTION_POSTER_STR *x, int nDim, int *dims);
void buf_add_FORCE_MONITOR_POSTER_STR ( buf_t buf, FORCE_MONITOR_POSTER_STR *x, int nDim, int *dims);
void buf_add_FORCE_FORCE_POSTER_STR ( buf_t buf, FORCE_FORCE_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* FORCE_TCLSERV_CLIENT_ENCODE_H */

